<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasSnapEventMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasSnapEvent">
        <id column="event_id" property="eventId"/>
        <result column="device_id" property="deviceId"/>
        <result column="channel" property="channel"/>
        <result column="trigger_time" property="triggerTime"/>
        <result column="event_code" property="eventCode"/>
        <result column="note" property="note"/>
        <result column="scene_pic_id" property="scenePicId"/>
        <result column="event_pic_id" property="eventPicId"/>
        <result column="gis_id" property="gisId"/>
        <result column="rel_person" property="relPerson"/>
        <result column="deal_person" property="dealPerson"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="event_system" property="eventSystem"/>
        <result column="similarity" property="similarity"/>
        <result column="notify" property="notify"/>
        <result column="feature" property="feature"/>
        <result column="scene" property="scene"/>
        <result column="person_code" property="personCode"/>
        <result column="preperson_id" property="prepersonId"/>
        <result column="count" property="count"/>
    </resultMap>

</mapper>

